
#include <hidef.h> 
#include "derivative.h" 

int a=0; //pomocná proměnná

void main(void) {
  
  PTCDD=0x0C; //konfigurace pinů LED diod 1 až 3 jako výstupních
  PTCD=0x0C;  //zhasnutí LED diod 1 až 3
 
  //-inicializace-časovače-TPM1-
  TPM1MODL=0x45;  //nastavení hodnoty modula registrů pro čas 350ms
  TPM1MODH=0x33;
  TPM1SC=0x0F; //zapnutí časovače (zakázané přerušení, hodinovy zdroj sběrnice, předdělič /128) 
  //----------------------------

  for(;;) {
  
  while(TPM1SC_TOF==0){__RESET_WATCHDOG();} //dokud nedojde k přetečení časovače
  TPM1SC_TOF=0; //opětovné zapnutí časovače
 
  a++; 
  PTCD_PTCD2=!PTCD_PTCD2; //negace stavu LED diody 1
 
  if(a==2){   //podmínka splněna jednou za 700 ms
  PTCD_PTCD3=!PTCD_PTCD3; //negace stavu LED diody 2
  a=0;
  }
    
  }  
}
